Bug 54529 - API change: org.netbeans.api.debugger.jpda.LineBreakpoint
API change: org.netbeans.api.debugger.jpda.LineBreakpoint
Status: CLOSED FIXED
Product: debugger
Classification: Unclassified
Component: Java
4.x
All All
: P3 (vote)
: 4.x
Assigned To: apireviews
issues@debugger
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-04 09:12 UTC by Libor Kotouc
Modified: 2010-04-29 09:21 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
LineBreakpoint diff (1.80 KB, text/plain)
2005-02-04 09:13 UTC, Libor Kotouc
Details
Diffs: manifest.mf, apichanges.xml, LineBreakpoint.java (2.48 KB, patch)
2005-02-15 12:21 UTC, Libor Kotouc
Details | Diff
Generated Javadoc with changes. (259.43 KB, application/octet-stream)
2005-02-15 12:24 UTC, Libor Kotouc
Details
LineBreakpointImpl diff (4.00 KB, patch)
2005-02-23 16:38 UTC, Libor Kotouc
Details | Diff
JPDA Debugger + JPDA Debugger API diffs (8.86 KB, patch)
2005-03-02 10:24 UTC, Libor Kotouc
Details | Diff
Test files (6.44 KB, application/octet-stream)
2005-03-02 10:26 UTC, Libor Kotouc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Libor Kotouc 2005-02-04 09:12:32 UTC
Decription:
LineBreakpoint does not contain the information
about the source path where it is set. There is no
way how to differ between bp in several JSPs with
the same name in the different directories in the
case when these JSPs are statically included into
one JSP page.

Milestone:
As a minor change it should be fixed in 4.1.

Issues:
Fixing the issue #54408 depends on it.

API change description:
Field [sourcePath: String] added.
Getter/setter method added.
See attachment for the details.

Other impacted interfaces:
None.
Comment 1 Libor Kotouc 2005-02-04 09:13:43 UTC
Created attachment 20187 [details]
LineBreakpoint diff
Comment 2 Jaroslav Tulach 2005-02-06 13:42:22 UTC
This cannot be integrated in current state. The change needs to use
@since tag, increment spec. version in manifest, update api changes
and write a test to show why this method is good for. Moreover the
methods should be final, I guess.

Please provide better version of the patch.
Comment 3 Libor Kotouc 2005-02-15 12:21:05 UTC
Created attachment 20349 [details]
Diffs: manifest.mf, apichanges.xml, LineBreakpoint.java
Comment 4 Libor Kotouc 2005-02-15 12:24:11 UTC
Created attachment 20350 [details]
Generated Javadoc with changes.
Comment 5 Libor Kotouc 2005-02-15 12:25:09 UTC
Requested enhacements attached.
Comment 6 Jaroslav Tulach 2005-02-16 08:36:34 UTC
apichanges, javadoc and manifest changes are ok. Just do not forget 
to increase the dependency of modules using this method to version 
1.3. 
 
The test is still missing, which I consider major problem, but I am 
ready to help writing it if you want. I would start by extending or 
copying 
debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/LineBreakpointTest.java 
to fail on your JspBreakpoint without the api changes and then prove 
that it works after that. 
Comment 7 Libor Kotouc 2005-02-23 16:38:48 UTC
Created attachment 20484 [details]
LineBreakpointImpl diff
Comment 8 Libor Kotouc 2005-03-02 10:24:48 UTC
Created attachment 20608 [details]
JPDA Debugger + JPDA Debugger API diffs
Comment 9 Libor Kotouc 2005-03-02 10:26:07 UTC
Created attachment 20609 [details]
Test files
Comment 10 Libor Kotouc 2005-03-02 10:35:31 UTC
I attached the requested tests and final diffs for JPDA Debugger and
JPDA Debugger modules.
Comment 11 Libor Kotouc 2005-03-03 17:16:50 UTC
Checking in api/apichanges.xml;
/cvs/debuggerjpda/api/apichanges.xml,v  <--  apichanges.xml
new revision: 1.8; previous revision: 1.7
done
Checking in api/manifest.mf;
/cvs/debuggerjpda/api/manifest.mf,v  <--  manifest.mf
new revision: 1.8; previous revision: 1.7
done
Processing log script arguments...
More commits to come...
Checking in api/src/org/netbeans/api/debugger/jpda/LineBreakpoint.java;
/cvs/debuggerjpda/api/src/org/netbeans/api/debugger/jpda/LineBreakpoint.java,v
 <--  LineBreakpoint.java
new revision: 1.7; previous revision: 1.6
done
Processing log script arguments...
More commits to come...
RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/JspLineBreakpointApp.txt,v
done
Checking in
test/unit/src/org/netbeans/api/debugger/jpda/testapps/JspLineBreakpointApp.txt;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/JspLineBreakpointApp.txt,v
 <--  JspLineBreakpointApp.txt
initial revision: 1.1
done
RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/JspLineBreakpointApp.java,v
done
Checking in
test/unit/src/org/netbeans/api/debugger/jpda/testapps/JspLineBreakpointApp.java;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/JspLineBreakpointApp.java,v
 <--  JspLineBreakpointApp.java
initial revision: 1.1
done
Processing log script arguments...
More commits to come...
RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/d/included.jsp,v
done
Checking in
test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/d/included.jsp;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/d/included.jsp,v
 <--  included.jsp
initial revision: 1.1
done
Processing log script arguments...
More commits to come...
RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/included.jsp,v
done
Checking in
test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/included.jsp;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/included.jsp,v
 <--  included.jsp
initial revision: 1.1
done
RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/index.jsp,v
done
Checking in
test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/index.jsp;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/testapps/resources/index.jsp,v
 <--  index.jsp
initial revision: 1.1
done
Processing log script arguments...
More commits to come...
RCS file:
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/JspLineBreakpointTest.java,v
done
Checking in
test/unit/src/org/netbeans/api/debugger/jpda/JspLineBreakpointTest.java;
/cvs/debuggerjpda/test/unit/src/org/netbeans/api/debugger/jpda/JspLineBreakpointTest.java,v
 <--  JspLineBreakpointTest.java
initial revision: 1.1
done
Checking in LineBreakpointImpl.java;
/cvs/debuggerjpda/src/org/netbeans/modules/debugger/jpda/breakpoints/LineBreakpointImpl.java,v
 <--  LineBreakpointImpl.java
new revision: 1.19; previous revision: 1.18
done
Comment 12 Quality Engineering 2010-04-29 09:21:01 UTC
Verified ... and Closing all issues resolved into NetBeans 6.7 and earlier.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo